﻿using Syncfusion.Linq;
using SyncfusionReportViewer.Models;
using System;
using System.Web.Mvc;
using System.Data;
using System.Linq;


namespace SyncfusionReportViewer.Controllers
{
    public class HomeController : Controller
    {
        private DataContext db = new DataContext();

        public ActionResult Index()
        {
            return View();
        }

        public DateTime DateExport { get; set; }

        [System.Web.Http.HttpPost]
        public JsonResult GetData()
        {
            
            var data = db.Order.Select(o => new
            {
                Id = o.Id,
                Customer = o.Customer,
                DateExport = o.DateExport,
                Qty = o.Qty

            });

             return Json(data, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public JsonResult filterData(string startDate, string endDate)
        {
            DateTime statsFrom = Convert.ToDateTime(startDate);
            DateTime statsTo = Convert.ToDateTime(endDate);

            var data = db.Order.Select(o => new
            {
                Id = o.Id,
                Customer = o.Customer,
                DateExport = o.DateExport,
                Qty = o.Qty

            }).Where(o => o.DateExport >= statsFrom && o.DateExport <= statsTo);

            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}